package com.gx.obe.management.action;

import org.eclipse.swt.SWT;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.management.composite.BidPriceComposite;

/**
 * @Description: 投标报价
 * @author guoyr
 */
public class LoadBidPriceAction extends Action{

	@Override
	public void run() {
		ActionListener listener = this.getListener();
		listener.onLoad(this);
		
		BidPriceComposite bidPriceComposite = new BidPriceComposite(listener.getParentComposite(), this, SWT.NONE);
		bidPriceComposite.addActionListener(listener);
		listener.loadComposite(this, bidPriceComposite);
	}

}
